uniform sampler2D RTBlurH; // this should hold the texture rendered by the horizontal blur pass
varying vec2 v_texCoord;
 
const float blurSize = 1.0/480.0;
 
void main(void)
{
   vec4 sum = vec4(0.0);
 
   // blur in y (vertical)
   // take nine samples, with the distance blurSize between them
   sum += texture2D(RTBlurH, vec2(v_texCoord.x, v_texCoord.y - 4.0*blurSize)) * 0.05;
   sum += texture2D(RTBlurH, vec2(v_texCoord.x, v_texCoord.y - 3.0*blurSize)) * 0.09;
   sum += texture2D(RTBlurH, vec2(v_texCoord.x, v_texCoord.y - 2.0*blurSize)) * 0.12;
   sum += texture2D(RTBlurH, vec2(v_texCoord.x, v_texCoord.y - blurSize)) * 0.15;
   sum += texture2D(RTBlurH, vec2(v_texCoord.x, v_texCoord.y)) * 0.16;
   sum += texture2D(RTBlurH, vec2(v_texCoord.x, v_texCoord.y + blurSize)) * 0.15;
   sum += texture2D(RTBlurH, vec2(v_texCoord.x, v_texCoord.y + 2.0*blurSize)) * 0.12;
   sum += texture2D(RTBlurH, vec2(v_texCoord.x, v_texCoord.y + 3.0*blurSize)) * 0.09;
   sum += texture2D(RTBlurH, vec2(v_texCoord.x, v_texCoord.y + 4.0*blurSize)) * 0.05;
 
   gl_FragColor = sum;
}